Bug 581278 - Review Request: erlang-etap - Erlang testing library
Summary: Review Request: erlang-etap - Erlang testing library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 581281
TreeView+ depends on / blocked
 
Reported: 2010-04-11 14:02 UTC by Peter Lemenkov
Modified: 2010-06-18 16:44 UTC (History)
2 users (show)

Fixed In Version: erlang-etap-0.3.4-2.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-07 22:11:37 UTC
dcantrell: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-04-11 14:02:29 UTC
Spec URL: http://peter.fedorapeople.org/erlang-etap.spec
SRPM URL: http://peter.fedorapeople.org/erlang-etap-0.3.4-1.fc12.src.rpm
Description: Etap is a collection of Erlang modules that provide a TAP testing client library.

This library is currently bundled with CouchDB.

Comment 1 Peter Lemenkov 2010-05-12 12:58:31 UTC
Koji scratchbuild:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2182759

rpmlint:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-etap-0.3.4-1.fc12.ppc.rpm 
erlang-etap.ppc: E: no-binary
erlang-etap.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS:

Both messages *must* be ignored - in fact, application contains only noarch-data, but installed into arch-specific %{_libdir}. Unlike python stuff being divided into noarch and arch-dependent, every erlang package should be installed into %{libdir}/erlang which makes every erlang package arch-dependent.

Comment 2 Peter Lemenkov 2010-05-13 09:12:47 UTC
New build:

http://peter.fedorapeople.org/erlang-etap.spec
http://peter.fedorapeople.org/erlang-etap-0.3.4-2.fc12.src.rpm

Narrowed explicit requires.

Comment 3 David Cantrell 2010-05-19 14:20:49 UTC
dcantrel@mitre ~$ rpmlint erlang-etap-0.3.4-2.fc12.src.rpm 
erlang-etap.src: W: invalid-url Source0: ngerakines-etap-17b8d43.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 4 David Cantrell 2010-05-19 14:25:10 UTC
1) "erlang-etap.src: W: invalid-url Source0: ngerakines-etap-17b8d43.tar.gz"

This warning is ok given that the source is downloaded via git.  The spec file contains instructions for downloading the source.

If there is a git tag for the release you are building, I would recommend specifying that download URL in the spec file comment.  e.g.:

    http://github.com/ngerakines/etap/tarball/etap-0.3.2

But I do not see a tag for 0.3.4.

Comment 5 David Cantrell 2010-05-19 14:33:41 UTC
Disregard comment #4, I see it now.

Comment 6 David Cantrell 2010-05-19 14:39:50 UTC
$ koji build --scratch dist-f14 erlang-etap-0.3.4-2.fc12.src.rpm 
Uploading srpm: erlang-etap-0.3.4-2.fc12.src.rpm
[====================================] 100% 00:00:03  21.00 KiB   5.43 KiB/sec
Created task: 2197207
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2197207
None
Watching tasks (this may be safely interrupted)...
2197207 build (dist-f14, erlang-etap-0.3.4-2.fc12.src.rpm): free
2197207 build (dist-f14, erlang-etap-0.3.4-2.fc12.src.rpm): free -> open (ppc04.phx2.fedoraproject.org)
  2197208 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, x86_64): free
  2197209 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, i686): free
  2197208 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, x86_64): free -> open (xb-01.phx2.fedoraproject.org)
  2197209 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, i686): free -> open (x86-04.phx2.fedoraproject.org)
  2197209 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, i686): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  2197208 buildArch (erlang-etap-0.3.4-2.fc12.src.rpm, x86_64): open (xb-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
2197207 build (dist-f14, erlang-etap-0.3.4-2.fc12.src.rpm): open (ppc04.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

2197207 build (dist-f14, erlang-etap-0.3.4-2.fc12.src.rpm) completed successfully

Comment 7 David Cantrell 2010-05-19 14:40:34 UTC
Packaging work looks good and it builds on all arches.  I do not really know how to test this package to see that it works, so I will assume you have done that.

Approved.

Comment 8 Peter Lemenkov 2010-05-25 05:13:04 UTC
New Package CVS Request
======================
Package Name: erlang-etap
Short Description: Erlang testing library
Owners: peter
Branches: F-11 F-12 F-13 EL-6 EL-5 EL-4
InitialCC:

Comment 9 Dennis Gilmore 2010-05-25 20:55:54 UTC
CVS Done except F-11 new branches are now closed for it

Comment 10 Fedora Update System 2010-06-01 07:11:23 UTC
erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5

Comment 11 Fedora Update System 2010-06-01 07:12:06 UTC
erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12

Comment 12 Fedora Update System 2010-06-01 07:12:20 UTC
erlang-etap-0.3.4-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el4

Comment 13 Fedora Update System 2010-06-01 07:12:33 UTC
couchdb-0.10.2-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-8.fc11

Comment 14 Fedora Update System 2010-06-01 07:12:46 UTC
erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13

Comment 15 Fedora Update System 2010-06-01 18:15:46 UTC
erlang-etap-0.3.4-2.fc13, couchdb-0.10.2-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13

Comment 16 Fedora Update System 2010-06-01 18:23:37 UTC
couchdb-0.10.2-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-8.fc11

Comment 17 Fedora Update System 2010-06-01 18:25:03 UTC
erlang-etap-0.3.4-2.fc12, couchdb-0.10.2-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12

Comment 18 Fedora Update System 2010-06-03 14:58:40 UTC
erlang-etap-0.3.4-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el4

Comment 19 Fedora Update System 2010-06-03 14:59:43 UTC
erlang-etap-0.3.4-2.el5, couchdb-0.10.2-8.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5

Comment 20 Fedora Update System 2010-06-07 22:11:24 UTC
erlang-etap-0.3.4-2.fc12, couchdb-0.10.2-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-06-07 22:23:26 UTC
couchdb-0.10.2-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-06-07 22:32:04 UTC
erlang-etap-0.3.4-2.fc13, couchdb-0.10.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-06-18 16:43:19 UTC
erlang-etap-0.3.4-2.el5, couchdb-0.10.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-06-18 16:44:27 UTC
erlang-etap-0.3.4-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.